﻿namespace AIProofread.core
{
    public class AppModule
    {
        /// <summary>
        /// 是否启用导出校对结果
        /// </summary>
        public const bool ENABLE_EXPORT_PROOFREAD_RESULT = true;
        /// <summary>
        /// 是否词库管理
        /// </summary>
        public const bool ENABLE_LEXICON_MANAGE = true;
        /// <summary>
        /// 是否启用常识性检测
        /// </summary>
        public const bool ENABLE_COMMONSENSE_CHECK = false;
        /// <summary>
        /// 设置功能
        /// </summary>
        public const bool ENABLE_SETTING = true;

        /// <summary>
        /// 是否校对功能
        /// </summary>
        public const bool ENABLE_PROOFREAD = true;
        /// <summary>
        /// 优先查全
        /// </summary>
        public const bool ENABLE_PROOFREAD_FULL = true;
        /// <summary> 
        /// 优先查准exact
        /// </summary>
        public const bool ENABLE_PROOFREAD_EXACT = true;

        public const bool ENABLE_SAVE_CACHE = true;
        public const bool ENABLE_LOAD_CACHE = true;
        public const bool ENABLE_CUSTOMER_SERVICE = false;
        public const bool ENABLE_UPGRADE = false;
        public const bool ENABLE_HELP = false;

    }
}
